

const ability = {
    name: 'dirt',
    display_name: "Dirt",
    effect_icon: "textures/items/diamond",
    description: "Covers The Enemy's Screen in dirt",
    indexNum: 2,
    execute(player, target, mode, dmg) {
        target.camera.fade({
            fadeColor: {
                red: 0.5411764706,
                blue: 0.07450980392,
                green: 0.2705882353,
            } ,
            fadeTime: {
                fadeInTime: 0,
                fadeOutTime: 0.1,
                holdTime: 2
            }
        })
    },
    resetStats(player) {
        let statuser = JSON.parse(player.getDynamicProperty("resetingStatus"))
        statuser["Boost"] = statuser.Boost - 0.5
        player.setDynamicProperty("resetingStatus", JSON.stringify(statuser))
        player.setProperty("aura:color", 0)
    }
}

export default ability